Subject: bug#65049: Minor update to the repro steps

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Aug 2023 15:52:20 +0300

> From: Maxim Kim <[email-masked]>
> Cc: Juri Linkov <[email-masked]>,  [email-masked]
> Date: Tue, 22 Aug 2023 09:10:44 +1000
> 
> In fact, I get the same error with the fresh repo:
> 
> 1. mkdir ~/prj/test
> 2. cd ~/prj/test
> 3. git init
> 4. open emacs and create a new text file with "hello" line.
> 5. C-x v v to register it in vc
> 6. C-x v v for vc-log, add summary, commit with C-c C-c
> 7. Add a new line to text file, save
> 8. C-x v D to get vc-root-diff
> 9. C-x v v for vc-log and add Summary
> 10. C-c C-c to commit
> 
> And it fails even though autocrlf=false and the file in question has LF.

I'm sorry, but it doesn't fail here, even without installing the patch
with -unix encoding.

I don't know what to say.  Maybe it is something with Git for Windows:
my version is quite old (2.10.0); perhaps something has changed since
then?  Also are you sure you tried with Emacs 29?  I used the latest
emacs-29 branch from Git and stock Emacs 29.1, and they both work as
expected.

If none of the above helps, perhaps describe the steps above in more
detail.  For example, the following details I had to guess:

 . was the new file with Unix EOL or Windows CRLF EOL format?
 . what was buffer-file-coding-system of the new file?
 . what was the exact text of summary in log message you typed each
   time in the recipe?
 . what did the "new line" in the file say, exactly?

Maybe one of these details is significant?